### Method

# Gio DtlsConnection get_peer_certificate

since: 2.48

#### Declaration

    GTlsCertificate*
    g_dtls_connection_get_peer_certificate (
      GDtlsConnection* conn
    )

#### Description

Gets `conn`‘s peer’s certificate after the handshake has completed or failed. (It is not set during the emission of `GDtlsConnection::accept-certificate`.)

Available since: 2.48

Gets property | `Gio.DtlsConnection:peer-certificate`

#### Return value

Type: `GTlsCertificate`

`conn`‘s peer’s certificate, or `NULL`.

The data is owned by the instance.
The return value can be `NULL`.